unit UnitChart9Intraweb11;

interface

uses
  Classes, SysUtils, IWAppForm, IWApplication, IWTypes, TeEngine, Series,
  Controls, ExtCtrls, TeeProcs, Chart, IWExtCtrls, IWCompTeeChart,
  IWHTMLControls, IWCompEdit, IWCompListbox, IWCompLabel, IWVCLBaseControl,
  IWBaseControl, IWControl, IWCompCheckbox, Graphics, IWHTMLTag,
  IWCompButton, IWBaseHTMLControl;

type
  TIWForm1 = class(TIWAppForm)
    IWCheckBox1: TIWCheckBox;
    IWLabel1: TIWLabel;
    IWComboBox1: TIWComboBox;
    IWLabel2: TIWLabel;
    IWEdit1: TIWEdit;
    IWHRule1: TIWHRule;
    IWURL1: TIWURL;
    IWChart1: TIWChart;
    Chart1: TChart;
    Series1: TBarSeries;
    IWButton1: TIWButton;
    IWCheckBox2: TIWCheckBox;
    IWCheckBox3: TIWCheckBox;
    IWCheckBox4: TIWCheckBox;
    IWLabel3: TIWLabel;
    IWComboBox2: TIWComboBox;
    IWImageFile1: TIWImageFile;
    procedure IWCheckBox1Click(Sender: TObject);
    procedure IWComboBox1Change(Sender: TObject);
    procedure IWAppFormCreate(Sender: TObject);
    procedure IWEdit1HTMLTag(ASender: TObject; ATag: TIWHTMLTag);
    procedure IWButton1Click(Sender: TObject);
    procedure IWCheckBox2Click(Sender: TObject);
    procedure IWCheckBox3Click(Sender: TObject);
    procedure IWCheckBox4Click(Sender: TObject);
    procedure IWComboBox2Change(Sender: TObject);
  private
    procedure CreateChart;
  public
  end;

implementation

uses IWForm;

{$R *.dfm}


procedure TIWForm1.IWCheckBox1Click(Sender: TObject);
begin
  Chart1.View3D:=IWCheckBox1.Checked;
end;

procedure TIWForm1.IWComboBox1Change(Sender: TObject);
begin
  CreateChart;
end;

procedure TIWForm1.IWAppFormCreate(Sender: TObject);
begin
  IWImageFile1.ImageFile.URL:='http://www.steema.com/img_products/logo_tch.gif';
  IWComboBox2.ItemIndex:=6;
  CreateChart;
end;

procedure TIWForm1.CreateChart;
var tmp : TChartSeriesClass;
    tmpSeries : TChartSeries;
begin
  Chart1.Title.Text.Clear;
  Chart1.Title.Text.Add(IWEdit1.Text);

  Chart1.View3D:=IWCheckBox1.Checked;

  case IWComboBox1.ItemIndex of
    0: tmp:=TLineSeries;
    1: tmp:=TBarSeries;
    2: tmp:=TAreaSeries;
    3: tmp:=TPieSeries;
  else
    tmp:=TPointSeries;
  end;

  Chart1.FreeAllSeries;

  tmpSeries:=tmp.Create(Self);
  Chart1.AddSeries(tmpSeries);

  tmpSeries.Marks.Visible:=IWCheckBox2.Checked;

  tmpSeries.Add(100, 'Jan', clRed);
  tmpSeries.Add(300, 'Feb', clGreen);
  tmpSeries.Add(200, 'Mar', clBlue);
  tmpSeries.Add(150, 'Apr', clYellow);
  tmpSeries.Add(250, 'May', clWhite);

  tmpSeries.Marks.Style:=smsPercent;
end;

procedure TIWForm1.IWEdit1HTMLTag(ASender: TObject; ATag: TIWHTMLTag);
begin
  Chart1.Title.Text.Text:=IWEdit1.Text;
end;

procedure TIWForm1.IWButton1Click(Sender: TObject);
begin
  CreateChart;
end;

procedure TIWForm1.IWCheckBox2Click(Sender: TObject);
begin
  Chart1[0].Marks.Visible:=IWCheckBox2.Checked;
end;

procedure TIWForm1.IWCheckBox3Click(Sender: TObject);
begin
  Chart1.Legend.Visible:=IWCheckBox3.Checked;
end;

procedure TIWForm1.IWCheckBox4Click(Sender: TObject);
begin
  Chart1.Gradient.Visible:=IWCheckBox4.Checked;

  if IWCheckBox4.Checked then
     Chart1.BevelOuter:=bvRaised
  else
     Chart1.BevelOuter:=bvNone;

  Chart1.Color:=clWhite;
end;

procedure TIWForm1.IWComboBox2Change(Sender: TObject);
begin
  case IWComboBox2.ItemIndex of
    0: IWChart1.JpegOptions.CompressionQuality:=1;
    1: IWChart1.JpegOptions.CompressionQuality:=10;
    2: IWChart1.JpegOptions.CompressionQuality:=20;
    3: IWChart1.JpegOptions.CompressionQuality:=40;
    4: IWChart1.JpegOptions.CompressionQuality:=60;
    5: IWChart1.JpegOptions.CompressionQuality:=80;
    6: IWChart1.JpegOptions.CompressionQuality:=90;
  else IWChart1.JpegOptions.CompressionQuality:=100;
  end;
end;

initialization
  TIWForm1.SetAsMainForm;
end.
